<!doctype html>
<title>{% block title %}{% endblock %} - TODO APP</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<link rel="stylesheet" href="{{ url_for('static', filename='style.css') }}">

<nav class="navbar navbar-expand-lg navbar-light bg-light"> 
  <div class="container">
    <h1 class="navbar-brand mb-0 h1">Todo App</h1>
    <ul class="navbar-nav">
      {% if g.user %}
      
        <li class="nav-item "><p class="p-2 pb-1 mb-0 h5">{{ g.user['username'] }}</p></li>
        <li class="nav-item "><a class="nav-link" href="{{ url_for('auth.logout') }}">Log Out</a></li>
      {% else %}
        <li class="nav-item "><a class="nav-link" href="{{ url_for('auth.register') }}">Register</a></li>
        <li class="nav-item "><a class="nav-link" href="{{ url_for('auth.login') }}">Log In</a></li>
      {% endif %}
    </ul>
  </div>
  
</nav>
<section class="container mt-5">
  <header>
    {% block header %}{% endblock %}
  </header>
  {% for message in get_flashed_messages() %}
    <div class="flash">{{ message }}</div>
  {% endfor %}
  {% block content %}{% endblock %}
</section>